org.gjt.sp.jedit.gui

## Class GrabKeyDialog.KeyBinding

- java.lang.Object
- - org.gjt.sp.jedit.gui.GrabKeyDialog.KeyBinding

Enclosing class:
  GrabKeyDialog

    public static class GrabKeyDialog.KeyBinding
    extends java.lang.Object

A jEdit action or macro with its two possible shortcuts.

Since:
  jEdit 3.2pre8

### Field Summary

Fields
`java.lang.String` `actionSet`
`boolean` `isPrefix`
`java.lang.String` `label`
`java.lang.String` `name`
`java.lang.String` `shortcut`

### Constructor Summary

Constructors
Constructor and Description
`GrabKeyDialog.KeyBinding(java.lang.String name, java.lang.String label, java.lang.String shortcut, boolean isPrefix)`

### Method Summary

Methods
`boolean` `isAssigned()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### actionSet

    public java.lang.String actionSet

#### name

    public java.lang.String name

#### label

    public java.lang.String label

#### shortcut

    public java.lang.String shortcut

#### isPrefix

    public boolean isPrefix

### Constructor Detail

#### GrabKeyDialog.KeyBinding

    public GrabKeyDialog.KeyBinding(java.lang.String name,
                            java.lang.String label,
                            java.lang.String shortcut,
                            boolean isPrefix)

### Method Detail

#### isAssigned

    public boolean isAssigned()